import { Employer } from './employer.model';
import { Job } from './job.model';
import { PendingStructureLink } from './pendingStructure.model';
import { PersonalOffer } from './personalOffer.model';

export class User {
  _id: string;
  id: string;
  permalink: string;
  createdAt: Date;
  email: string;
  name: string;
  surname: string;
  phone: string;
  password?: string;
  emailVerified: boolean;
  role: number;
  validationToken: string;
  structuresLink: string[];
  pendingStructuresLink: PendingStructureLink[] = [];
  profileImage: string;
  personalOffers: string[] = [];
  personalOffersPopulated?: PersonalOffer[] = [];
  job: Job;
  employer: Employer;
  isReferent: boolean;
  description?: string;
  avatar?: string;
  withAppointment?: boolean;
  lastLoginDate?: Date;
  constructor(obj?: any) {
    Object.assign(this, obj);
    this.surname = this.surname.toUpperCase();
  }
}
export class UserAnnuary {
  _id: string;
  permalink: string;
  name: string;
  surname: string;
  job: Job;
  employer: Employer;
  withAppointment?: boolean;
  avatar?: string;
}
