import { TagEnum } from '../../enum/tag.enum';
import { Tag } from '../../models/tag.model';

export function parseSlugToTag(data: Tag[] | string): Tag[] {
  let otherTags = [];
  if (Array.isArray(data)) {
    otherTags = data.map((slug) => new Tag({ slug }));
  } else if (data) {
    otherTags = [new Tag({ slug: data })];
  }
  return otherTags;
}

export function filterTags(tags: Tag[]): Tag[] {
  const excludedSlugs: string[] = [TagEnum.aLaUne, TagEnum.aLaUneSection];
  return tags.filter((tag) => !excludedSlugs.includes(tag.slug));
}
