export const Status = {
  new: {
    label: 'Nouveau',
    color: 'dark-blue',
    icon: 'new',
  },
  acknowledged: {
    label: 'A traiter',
    color: 'blue',
    icon: 'eye',
  },
  waiting: {
    label: 'En attente',
    color: 'blue',
    icon: 'eye',
  },
  completed: {
    label: 'Terminé',
    color: 'light-green',
    icon: 'tick',
  },
  uncompleted: {
    label: 'Non réalisé',
    color: 'red',
    icon: 'redCross',
  },
  expired: {
    label: 'Expiré',
    color: 'grey',
    icon: 'greyCross',
  },
} as const;
export type StatusKey = keyof typeof Status;

export const Action = {
  defineRdv: {
    label: 'Définir le RDV',
    color: 'blue',
    icon: 'calendar',
  },
  rdvTaken: {
    label: 'RDV pris',
    color: 'light-green',
    icon: 'calendarGreen',
  },
  visit: {
    label: 'Visite proposée',
    color: 'grey',
    icon: 'pedestrian',
  },
  rdvDone: {
    label: 'RDV terminé',
    color: 'grey',
    icon: 'rdvDone',
  },
  closeRDV: {
    label: 'Clôturer le RDV',
    color: 'grey',
    icon: 'rdvDone',
  },
} as const;
export type ActionsKey = keyof typeof Action;

export const Type = {
  appointment: {
    label: 'Rendez-vous',
    color: 'grey',
    icon: 'rdvDone',
    initialAction: 'defineRdv',
  },
  structuresList: {
    label: 'Visite',
    color: 'grey',
    icon: 'pedestrian',
    initialAction: 'visit',
  },
  onlineMediation: {
    label: 'Appel',
    color: 'grey',
    icon: 'call',
    initialAction: 'rdvTaken',
  },
} as const;
export type TypeKey = keyof typeof Type;
